org.apache.cassandra.cql3

## Class ResultSet.ResultMetadata

- java.lang.Object
- - org.apache.cassandra.cql3.ResultSet.ResultMetadata

Enclosing class:
  ResultSet

    public static class ResultSet.ResultMetadata
    extends java.lang.Object

The metadata for the results of executing a query or prepared statement.

### Field Summary

Fields
`static CBCodec<ResultSet.ResultMetadata>` `codec`
`static ResultSet.ResultMetadata` `EMPTY`
`java.util.List<ColumnSpecification>` `names`

### Constructor Summary

Constructors
Constructor and Description
`ResultMetadata(java.util.List<ColumnSpecification> names)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addNonSerializedColumn(ColumnSpecification name)` Adds the specified column which will not be serialized.
`ResultSet.ResultMetadata` `copy()`
`boolean` `equals(java.lang.Object other)`
`int` `hashCode()`
`java.util.List<ColumnSpecification>` `requestNames()` Return only the column names requested by the user, excluding those added for post-query re-orderings, see definition of names and columnCount.
`void` `setHasMorePages(PagingState pagingState)`
`void` `setSkipMetadata()`
`java.lang.String` `toString()`
`int` `valueCount()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### codec

    public static final CBCodec<ResultSet.ResultMetadata> codec

#### EMPTY

    public static final ResultSet.ResultMetadata EMPTY

#### names

    public final java.util.List<ColumnSpecification> names

### Constructor Detail

#### ResultMetadata

    public ResultMetadata(java.util.List<ColumnSpecification> names)

### Method Detail

#### copy

    public ResultSet.ResultMetadata copy()

#### requestNames

    public java.util.List<ColumnSpecification> requestNames()

Return only the column names requested by the user, excluding those added for post-query re-orderings, see definition of names and columnCount.

#### valueCount

    public int valueCount()

#### addNonSerializedColumn

    public void addNonSerializedColumn(ColumnSpecification name)

Adds the specified column which will not be serialized.

Parameters:
  `name` - the column

#### setHasMorePages

    public void setHasMorePages(PagingState pagingState)

#### setSkipMetadata

    public void setSkipMetadata()

#### equals

    public boolean equals(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`